<?php
if ( empty(get_included_files()) ) die("Direct access forbidden");
$is_db_section = ($conf_key != 'homedir' ? true : false);
?>
      <div class="panel panel-default"> <!-- restore tab <?php echo($section); ?> section -->
        <div class="panel-heading">
          <div class="row">
            <div class="col-sm-3"> <!-- backup type col -->
              <h4 class="panel-title">
                <a
                  data-toggle="collapse"
                  data-parent="#restore_accordion"
                  href="#restore_<?php echo($conf_key); ?>_collapse">
                    <span class="arw">&#9658;</span> <?php echo($section); ?>
                </a>
              </h4>
            </div>
          </div>
        </div>
        <div id="restore_<?php echo($conf_key); ?>_collapse" class="panel-collapse collapse">
          <div class="panel-body">
            <p><strong>Restore Options</strong></p>
            <div class="well">
<?php if (array_key_exists($conf_key, $conf['completed']) && $conf['completed'][$conf_key]): ?>
              <div class="form-group row">
                <label class="col-sm-2 col-form-label text-right pad-top-6" for="restore_date_<?php echo($conf_key); ?>">Restore From Date</label>
                <div class="col-sm-3">
                  <select
                    class="restore-date-select form-control <?php if ($is_db_section) { echo('restore_db_date'); } ?>"
                    data-baktype="<?php echo($conf_key); ?>"
                    id="restore_date_<?php echo($conf_key); ?>"
                  >
<?php   if ($is_db_section): // for databases, populate the date dropdown with data-dbnames in <options> ?>
<?php     foreach($conf['completed'][$conf_key] as $snap): ?>
                    <option
                      class="fix-locale-stamp"
                      value="<?php echo($snap['time']); ?>"
                      data-dbsnaps="<?php echo_json_attrib($snap['dbs']); ?>"
                    ><?php echo($snap['time']); ?>
                    </option>
<?php     endforeach; ?>
<?php   else: // for homedirs, just add the date in <options> ?>
<?php     foreach($conf['completed'][$conf_key] as $snap): ?>
                    <option class="fix-locale-stamp" data-stamp="<?php echo($snap['time']); ?>" value="<?php echo($snap['snap']); ?>"><?php echo($snap['time']); ?></option>
<?php     endforeach; ?>
<?php   endif; ?>
                  </select>
                </div>
              </div>
<?php   if ($is_db_section): // for databases, they also get a select for the database to restore ?>
              <div class="form-group row"> <!-- select database -->
                <label class="col-sm-2 col-form-label text-right pad-top-6" for="restore_dbname_<?php echo($conf_key); ?>">Database</label>
                <div class="col-sm-3">
                  <select
                    class="form-control restore_dbname_select" data-no-db="#no_db_<?php echo($conf_key); ?>"
                    id="restore_dbname_<?php echo($conf_key); ?>"
                  >
                    <option value="">select</option>
                  </select>
                </div>
                <div class="col-sm-3 alert alert-danger no-db-alert" id="no_db_<?php echo($conf_key); ?>">
                  <i class="glyphicon glyphicon-exclamation-sign"></i> <p>No database selected.</p>
                </div>
              </div>
<?php   else: // homedirs get a jquery widget instead ?>
              <?php browser_widget('homedir_filebrowser', $conf['home_path'], 'enable_home_restore', 'browse', true, []); ?>
<?php   endif; ?>
<?php   if ($is_db_section): // for databases, show a dump path field ?>
              <div class="form-group row"> <!-- enter dump path -->
                <label class="col-sm-2 col-form-label text-right pad-top-6" for="dump_path_<?php echo($conf_key); ?>">Dump Path</label>
                <div class="col-sm-6">
                  <div class="input-group">
                    <span class="input-group-addon"><?php echo($conf['home_path']); ?>/</span>
                    <input
                      type="text" value="restored" class="form-control path-check"
                      id="dump_path_<?php echo($conf_key); ?>" data-check-error="#path_error_<?php echo($conf_key); ?>"
                    />
                  </div>
                </div>
                <div class="col-sm-4 alert alert-danger path-error" id="path_error_<?php echo($conf_key); ?>">
                  <i class="glyphicon glyphicon-exclamation-sign"></i> <p>This folder cannot be accessed.</p>
                </div>
              </div>
<?php   endif; ?>
              <div class="form-group row"> <!-- select how to restore -->
                <div class="col-sm-2 text-right">
                    <label class="col-form-label pad-top-6">Restore Method</label>
                </div>
                <div class="col-sm-10">
<?php   if ($is_db_section): // for databases, they have 3 options on how to restore ?>
                  <div class="radio">
                    <label><input
                      type="radio" checked="checked" value="target" name="restore_method_<?php echo($conf_key); ?>"
                    >Dump backup to path above</label>
                  </div>
                  <div class="radio">
                    <label><input
                      type="radio" value="dump_import" name="restore_method_<?php echo($conf_key); ?>"
                    >Dump current database to path above and overwrite current database with the backup</label>
                  </div>
                  <div class="radio">
                    <label><input
                      type="radio" value="import" name="restore_method_<?php echo($conf_key); ?>"
                    >Overwrite current database without dumping first <em>(not recommended)</em></label>
                  </div>
<?php   else: // for homedirs, they have 2 options on how to restore, and a path that hides when unchecked ?>
                  <div class="row">
                    <div class="col-sm-12">
                      <div class="radio">
                        <label><input
                          type="radio" value="merge" checked="checked" name="restore_method_<?php echo($conf_key); ?>"
                        >Restore to the original path: this replaces the files that are different and
                        keeps files not found in the backup</label>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-sm-3">
                      <div class="radio">
                        <label><input
                          type="radio" value="target" name="restore_method_<?php echo($conf_key); ?>"
                        >Restore to a different folder</label>
                      </div>
                    </div>
                    <div class="col-sm-6">
                      <div class="input-group" id="homedir_restore_path">
                        <span class="input-group-addon"><?php echo($conf['home_path']); ?>/</span>
                        <input type="text" value="restored" class="form-control path-check"
                        id="dump_path_<?php echo($conf_key); ?>" data-check-error="#path_error_<?php echo($conf_key); ?>"
                        />
                      </div>
                    </div>
                    <div class="col-sm-3 alert alert-danger path-error" id="path_error_<?php echo($conf_key); ?>">
                      <i class="glyphicon glyphicon-exclamation-sign"></i> <p>This folder cannot be accessed.</p>
                    </div>
                  </div>
<?php   endif; ?>
                </div> <!-- end col-sm-10 -->
              </div> <!-- end row -->
              <div class="row">
                <div class="col-sm-2 text-right">
                  <label>Email to notify on completion (optional)</label>
                </div>
                <div class="col-sm-6">
                  <input id="<?php echo($conf_key); ?>-restore-email" class="form-control validate-email" type="email" data-err="#<?php echo($conf_key); ?>-invalid-email" />
                </div>
                <div class="col-sm-4 alert alert-danger error-msg" id="<?php echo($conf_key); ?>-invalid-email">
                  <i class="glyphicon glyphicon-exclamation-sign"></i> <p>Invalid email address</p>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-2"></div>
                <div class="col-sm-10 restore_alert" id="restore_alert_<?php echo($conf_key); ?>"> <!-- alert div -->
                  <div class="col-sm-12">
                    <p>Clicking Restore will queue the restoration immediately, and restoring a backup is irreversible.</p>
                    <p>If restoring a website which relies on a database such as a WordPress website, you may need to restore both website files and SQL data.</p>
                    <p class="restore_alert_msg hidden" id="restore_alert_msg_<?php echo($conf_key); ?>">Are you sure you want to proceed with the restore?</p>
                  </div>
                  <div class="col-sm-12 row restore-alert-btns">
                    <div class="col-sm-2 btn-restore-col">
                      <button id="restore-btn-<?php echo($conf_key); ?>" onclick="do_restore('<?php echo($conf_key); ?>', this);" class="btn btn-primary btn-block btn-restore">Restore</button>
                    </div>
                    <div class="col-sm-2">
                      <span class="cancel-link"><a onclick="cancel_restore_form(this);" href="#">Cancel</a></span>
                    </div>
                    <div class="col-sm-6">
                      <?php error_box("${conf_key}-restore-msg"); ?>
                    </div>
                  </div>
                </div>
              </div>
<?php else: ?>
            <p>No backups available to restore</p>
<?php endif; ?>
            </div> <!-- end well -->
          </div> <!-- end panel-body -->
        </div> <!-- end collapse -->
      </div> <!-- end panel -->
